package org.stully.geckoviewexample;

import org.mozilla.gecko.GeckoView;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;


public class Main extends Activity {
	GeckoView geckoView;
	
  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);

    geckoView = (GeckoView) findViewById(R.id.gecko_view);

    Button goButton = (Button) findViewById(R.id.go_button);
    goButton.setOnClickListener(new OnClickListener() {
        @Override
        public void onClick(View view) {
            final EditText text = (EditText) findViewById(R.id.url_bar);

            geckoView.loadUrlInNewTab(text.getText().toString());
        }
    });
  }
}
